[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TDataIteratorMethod

Data iterator method.

## Declaration

Source position: contnrs.pp line 406

`type TDataIteratorMethod = procedure(`
`Item: Pointer;`
`const Key: String;`
`var Continue: Boolean`
`) of object;`

## Arguments

`Item` |  | Data pointer item
`Key` |  | Key associated with item
`Continue` |  | Continue iterating or stop iteration

## Description

TDataIteratorMethod is a callback prototype for the TDataHashTable.Iterate method. It is called for each data pointer in the hash list, passing the key (key) and data pointer (item) for each item in the list. If Continue is set to false, the iteration stops.

## See also

TDataHashTable.Iterate

The latest version of this document can be found at lazarus-ccr.sourceforge.net .